Loading...
Searching...
No Matches
Magick::borderImage Class Reference

## Public Member Functions

| borderImage (const Geometry &geometry_=borderGeometryDefault)
void | operator() (Image &image_) const

## Private Attributes

Geometry | _geometry

## Detailed Description

Definition at line 154 of file STL.h.

## Constructor & Destructor Documentation

## borderImage()

Magick::borderImage::borderImage | ( | const Geometry & | geometry_ = borderGeometryDefault | ) |

Definition at line 127 of file STL.cpp.

: _geometry( geometry_ )
{
}

## Member Function Documentation

## operator()()

void Magick::borderImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 131 of file STL.cpp.

{
image_.border( _geometry );
}

## Field Documentation

## _geometry

Geometry Magick::borderImage::_geometry

private

Definition at line 162 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp